Package skyview.geometry.sampler

# Class Lanczos

java.lang.Object
skyview.geometry.Sampler
skyview.geometry.sampler.Lanczos

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Component`

public class Lanczos extends Sampler
This class implements a nearest neighbor sampling scheme.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.geometry.Sampler

`bounds, inDepth, inHeight, inImage, inWidth, outDepth, outHeight, outImage, outWidth, trans`

## Constructor Summary

Constructors
Constructor
Description
`Lanczos()`
Create a three lobe lanczos sampler as a default width.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`void`
`sample(int pix)`
Sample a single pixel
`void`
`setOrder(int n)`
Create a Lanczos sample of specified width sampler The data will be set later.

### Methods inherited from class skyview.geometry.Sampler

`clone, factory, setBounds, setInput, setOutput, setTransform`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Lanczos

public Lanczos()
Create a three lobe lanczos sampler as a default width.

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### setOrder

public void setOrder(int n)
Create a Lanczos sample of specified width sampler The data will be set later.

Overrides:
  `setOrder` in class `Sampler`

### sample

public void sample(int pix)
Sample a single pixel

Specified by:
  `sample` in class `Sampler`
Parameters:
  `pix` - The pixel index.